class LoginController < ApplicationController

  before_filter :authorize, :except => [:login, :add_user]

  def add_user
    @user = User.new(params[:user])
    
    if request.post? and @user.save
      flash.now[:notice] = "User #{@user.user_name} created"
      redirect_to(:controller => 'runs', :action => 'index')
#      @user = User.new #redisplay user creation form
    end
  end

  def login
    session[:user_id] = nil
    if request.post?
      user = User.authenticate(params[:user_name], params[:password])
      if user
        session[:user_id] = user.id
        uri = session[:original_uri]
        session[:original_uri] = nil
        redirect_to(uri || { :action => 'index' })
      else
        flash[:notice] = 'Invalid user name and/or password'
      end
    end
  end

  def logout
    session[:user_id] = nil
  end

  def index
  end

  def delete_user
  end

  def list_users
  end
end
